package com.gxzc.zen.web.sys.controller

import com.baomidou.kisso.annotation.Action
import com.baomidou.kisso.annotation.Login
import com.gxzc.zen.api.sys.model.SysDic
import com.gxzc.zen.api.sys.service.ISysDicService
import com.gxzc.zen.common.base.BaseController
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.PutMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 *
 * @author NorthLan
 * @date 2018/3/15
 * @url https://noahlan.com
 */
@RestController
@RequestMapping("test")
class TestController : BaseController() {

    private lateinit var sysDicService: ISysDicService

    @GetMapping("logicDel")
    @Login(action = Action.Skip)
    fun testLogicDelete() {
        sysDicService.deleteById(4)
    }

    @PutMapping
    @Login(action = Action.Skip)
    fun testCustomMetaObjectHandler() {
        sysDicService.updateById(SysDic().apply {
            id = 4
            key = "2333"
        })
    }
}